O Google tem o compromisso de promover a igualdade racial para as comunidades negras. Saiba como.

Criar IUs compatíveis com versões anteriores

Esta lição demonstra como usar componentes da IU e APIs disponíveis nas versões mais recentes do Android de maneira compatível com versões anteriores. Isso garante que seu aplicativo será executado em versões mais antigas da plataforma.

Ao longo desta aula, o novo recurso de Guias de barras de ações, introduzido no Android 3.0 (API de nível 11), serve como exemplo orientador, mas você pode aplicar estas técnicas a outros componentes da IU e recursos da API.

Lições

Abstração das novas APIs
Determine de quais recursos e APIs o aplicativo precisa. Aprenda a definir interfaces Java intermediárias específicas do aplicativo que abstraem a implementação do componente de IU para seu app.
Proxy para as novas APIs
Aprenda a criar uma implementação da interface que use APIs mais recentes.
Criar uma implementação com APIs mais antigas
Aprenda a criar uma implementação personalizada da interface que use APIs mais antigas.
Usar o componente com reconhecimento de versão
Aprenda a escolher uma implementação para usar no momento da execução e começar a usar a interface no seu aplicativo.

Leia também